use crate::ast::{ASTType, ASTTypeContext};

#[inline]
pub fn get_field_extensions(_: &ASTTypeContext, ass_type: ASTType) -> impl Iterator<Item = &(&'static str, ASTType)> {
    log::error!("todo: add user options for each item");
    match ass_type {
        ASTType::Syllabe => [("start", ASTType::Integer), ("finish", ASTType::Integer)].iter(),
        ASTType::Line => [("start", ASTType::Integer), ("finish", ASTType::Integer)].iter(),
        _ => unreachable!(),
    }
}
