//! Here we have the types that will be used by the runtime, with their description so that the
//! codegen can correctly use them.

mod mangle;
mod pointer;

pub mod types;
pub mod vvll;

pub use self::{mangle::*, pointer::*};

#[cfg(any(test, doctest))]
mod tests;
