//! ASS objects for Vivy.
#![forbid(unsafe_code)]

mod colors;
mod definitions;
mod drawing;
mod elements;
mod position;
mod reader;
mod styles;
mod types;

#[cfg(test)]
mod tests;

pub use crate::{colors::*, drawing::*, elements::*, position::*, styles::*, types::*};
pub use reader::{ass_container_from_file, ass_container_from_str, ASSElementReaderError, ContainerFileType};
