#pragma once

#include "PreCompiledHeaders.hh"
#include "VivyApplication.hh"
#include "Lib/Log.hh"
#include "UI/Utils.hh"

namespace Vivy
{
class DockWidgetTitleBar final : public QWidget {
    Q_OBJECT
    VIVY_UNMOVABLE_OBJECT(DockWidgetTitleBar)
    VIVY_APP_LOGGABLE_OBJECT(DockWidgetTitleBar, logger)

    QDockWidget *attachedDock{ nullptr };
    explicit DockWidgetTitleBar(QDockWidget *parent) noexcept;

public:
    static void addToDock(QDockWidget *const) noexcept;
};
}
