#pragma once

#ifndef __cplusplus
#error "This is a C++ header"
#endif

#include "PreCompiledHeaders.hh"
#include "Lib/Utils.hh"
#include "VivyApplication.hh"

namespace Vivy
{
class VivyFileIconProvider : public QFileIconProvider {
public:
    VivyFileIconProvider() noexcept = default;

    QIcon icon(const QFileInfo &) const noexcept override;

private:
    QIcon defaultFile{ VIVY_ICON_FILE };
    QIcon vivyScript{ VIVY_ICON_SCRIPT };
    QIcon vivyFile{ VIVY_ICON_APP };
    QIcon defaultFolder{ VIVY_ICON_FOLDER };
};
}
